<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserCompanyCollectionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_company_collection', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->comment('公海名字');
            $table->integer('user_id')->comment('所有者ID');
            $table->text('filter_fields')->comment('过滤字段');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_company_collection');
    }
}
